Index: asp3_wo_tecs/trunk/kernel/kernel_check.trb
===================================================================
--- asp3_wo_tecs/trunk/kernel/kernel_check.trb	(revision 305)
+++ asp3_wo_tecs/trunk/kernel/kernel_check.trb	(revision 306)
@@ -53,5 +53,5 @@
 #   ã®è²¬ä»»ãè² ããªãï¼
 # 
-#   $Id: kernel_check.trb 588 2016-02-05 12:54:58Z ertl-hiro $
+#   $Id: kernel_check.trb 662 2016-02-27 02:33:51Z ertl-hiro $
 #  
 
@@ -79,4 +79,6 @@
     elsif startIdata.nil?
       error_exit("symbol `lma[:START_IDATA]' not found")
+    else
+      BCOPY(startIdata, startData, endData - startData)
     end
   end
@@ -87,8 +89,8 @@
 å ±ã®ãã§ãã¯é¢æ°
 #
-$tmax_tskid = PEEK(SYMBOL("_kernel_tmax_tskid"), $sizeof_ID)
-$tmax_semid = PEEK(SYMBOL("_kernel_tmax_semid"), $sizeof_ID)
-$tmax_flgid = PEEK(SYMBOL("_kernel_tmax_flgid"), $sizeof_ID)
-$tmax_dtqid = PEEK(SYMBOL("_kernel_tmax_dtqid"), $sizeof_ID)
+$tmax_tskid = $TMIN_TSKID + $cfgData[:CRE_TSK].size - 1
+$tmax_semid = $TMIN_SEMID + $cfgData[:CRE_SEM].size - 1
+$tmax_flgid = $TMIN_FLGID + $cfgData[:CRE_FLG].size - 1
+$tmax_dtqid = $TMIN_DTQID + $cfgData[:CRE_DTQ].size - 1
 
 def checkNotifyHandler(key, params, objid, exinf, nfyhdr)
@@ -122,5 +124,5 @@
       error_wrong_id("E_PAR", params1, :tmehdr, objid, "not aligned")
     end
-    if $CHECK_FUNC_NONNULL == 1 && tmehdr == 0
+    if $CHECK_FUNC_NONNULL && tmehdr == 0
       error_wrong_id("E_PAR", params1, :tmehdr, objid, "null")
     end
@@ -138,5 +140,5 @@
       error_wrong_id("E_PAR", params1, :p_var, objid, "not aligned")
     end
-    if $CHECK_INTPTR_NONNULL == 1 && p_var == 0
+    if $CHECK_INTPTR_NONNULL && p_var == 0
       error_wrong_id("E_PAR", params1, :p_var, objid, "null")
     end
@@ -194,5 +196,5 @@
       error_wrong_id("E_PAR", params1, :p_var, objid, "not aligned")
     end
-    if $CHECK_INTPTR_NONNULL == 1 && p_var == 0
+    if $CHECK_INTPTR_NONNULL && p_var == 0
       error_wrong_id("E_PAR", params1, :p_var, objid, "null")
     end
@@ -244,12 +246,13 @@
 # 
 tinib = SYMBOL("_kernel_tinib_table")
-$cfgData[:CRE_TSK].each do |key, params|
+$cfgData[:CRE_TSK].sort.each do |key, params|
+  task = PEEK(tinib + $offsetof_TINIB_task, $sizeof_TASK)
+
   # ã¿ã¹ã¯ã®å
 é ­çªå°ã®ãã§ãã¯ï¼»NGKI1033ï¼½
-  task = PEEK(tinib + $offsetof_TINIB_task, $sizeof_FP)
   if (task & ($CHECK_FUNC_ALIGN - 1)) != 0
     error_wrong_id("E_PAR", params, :task, :tskid, "not aligned")
   end
-  if $CHECK_FUNC_NONNULL == 1 && task == 0
+  if $CHECK_FUNC_NONNULL && task == 0
     error_wrong_id("E_PAR", params, :task, :tskid, "null")
   end
@@ -257,6 +260,6 @@
   # ã¿ã¹ã¯ã®ã¹ã¿ãã¯é åã®å
 é ­çªå°ã®ãã§ãã¯ï¼»NGKI1056ï¼½
-  if $USE_TSKINICTXB == 1
-    stk = GetStackTskinictxb(key, params)
+  if $USE_TSKINICTXB
+    stk = GetStackTskinictxb(key, params, tinib)
   else
     stk = PEEK(tinib + $offsetof_TINIB_stk, $sizeof_void_ptr)
@@ -265,5 +268,5 @@
     error_wrong_id("E_PAR", params, :stk, :tskid, "not aligned")
   end
-  if $CHECK_STACK_NONNULL == 1 && stk == 0
+  if $CHECK_STACK_NONNULL && stk == 0
     error_wrong_id("E_PAR", params, :stk, :tskid, "null")
   end
@@ -276,5 +279,5 @@
 # 
 mpfinib = SYMBOL("_kernel_mpfinib_table")
-$cfgData[:CRE_MPF].each do |key, params|
+$cfgData[:CRE_MPF].sort.each do |key, params|
   mpf = PEEK(mpfinib + $offsetof_MPFINIB_mpf, $sizeof_void_ptr)
 
@@ -284,5 +287,5 @@
     error_wrong_id("E_PAR", params, :mpf, :mpfid, "not aligned")
   end
-  if $CHECK_MPF_NONNULL == 1 && mpf == 0
+  if $CHECK_MPF_NONNULL && mpf == 0
     error_wrong_id("E_PAR", params, :mpf, :mpfid, "null")
   end
@@ -295,7 +298,7 @@
 # 
 cycinib = SYMBOL("_kernel_cycinib_table")
-$cfgData[:CRE_CYC].each do |key, params|
+$cfgData[:CRE_CYC].sort.each do |key, params|
   exinf = PEEK(cycinib + $offsetof_CYCINIB_exinf, $sizeof_intptr_t)
-  nfyhdr = PEEK(cycinib + $offsetof_CYCINIB_nfyhdr, $sizeof_FP)
+  nfyhdr = PEEK(cycinib + $offsetof_CYCINIB_nfyhdr, $sizeof_NFYHDR)
 
   #	éç¥æ
@@ -310,7 +313,7 @@
 # 
 alminib = SYMBOL("_kernel_alminib_table")
-$cfgData[:CRE_ALM].each do |key, params|
+$cfgData[:CRE_ALM].sort.each do |key, params|
   exinf = PEEK(alminib + $offsetof_ALMINIB_exinf, $sizeof_intptr_t)
-  nfyhdr = PEEK(alminib + $offsetof_ALMINIB_nfyhdr, $sizeof_FP)
+  nfyhdr = PEEK(alminib + $offsetof_ALMINIB_nfyhdr, $sizeof_NFYHDR)
 
   #	éç¥æ
@@ -324,12 +327,15 @@
 #  éã¿ã¹ã¯ã³ã³ãã­ã¹ãç¨ã®ã¹ã¿ãã¯é åã«é¢ãããã§ãã¯
 # 
-istk = PEEK(SYMBOL("_kernel_istk"), $sizeof_void_ptr)
-
-# éã¿ã¹ã¯ã³ã³ãã­ã¹ãç¨ã®ã¹ã¿ãã¯é åã®å
+istkAddr = SYMBOL("_kernel_istk")
+if !istkAddr.nil?
+  istk = PEEK(istkAddr, $sizeof_void_ptr)
+
+  # éã¿ã¹ã¯ã³ã³ãã­ã¹ãç¨ã®ã¹ã¿ãã¯é åã®å
 é ­çªå°ã®ãã§ãã¯ï¼»NGKI3222ï¼½
-if (istk & ($CHECK_STACK_ALIGN - 1)) != 0
-  error_wrong("E_PAR", $cfgData[:DEF_ICS][1], :istk, "not aligned")
-end
-if $CHECK_STACK_NONNULL == 1 && istk == 0
-  error_wrong("E_PAR", $cfgData[:DEF_ICS][1], :istk, "null")
-end
+  if (istk & ($CHECK_STACK_ALIGN - 1)) != 0
+    error_wrong("E_PAR", $cfgData[:DEF_ICS][1], :istk, "not aligned")
+  end
+  if $CHECK_STACK_NONNULL && istk == 0
+    error_wrong("E_PAR", $cfgData[:DEF_ICS][1], :istk, "null")
+  end
+end
Index: asp3_wo_tecs/trunk/kernel/kernel_impl.h
===================================================================
--- asp3_wo_tecs/trunk/kernel/kernel_impl.h	(revision 305)
+++ asp3_wo_tecs/trunk/kernel/kernel_impl.h	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2004-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2004-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: kernel_impl.h 332 2015-06-21 13:20:37Z ertl-hiro $
+ *  $Id: kernel_impl.h 706 2016-03-29 14:19:40Z ertl-hiro $
  */
 
@@ -88,11 +88,4 @@
  */
 #include <t_syslog.h>
-
-/*
- *  åã­ã£ã¹ããè¡ããã¯ã­ã®å®ç¾©
- */
-#ifndef CAST
-#define CAST(type, val)		((type)(val))
-#endif /* CAST */
 
 /*
Index: asp3_wo_tecs/trunk/kernel/kernel_sym.def
===================================================================
--- asp3_wo_tecs/trunk/kernel/kernel_sym.def	(revision 305)
+++ asp3_wo_tecs/trunk/kernel/kernel_sym.def	(revision 306)
@@ -1,5 +1,5 @@
-USE_EXTERNAL_ID,1,,defined(USE_EXTERNAL_ID)
-SIL_ENDIAN_BIG,1,,defined(SIL_ENDIAN_BIG)
-SIL_ENDIAN_LITTLE,1,,defined(SIL_ENDIAN_LITTLE)
+USE_EXTERNAL_ID,true,bool,defined(USE_EXTERNAL_ID)
+SIL_ENDIAN_BIG,true,bool,defined(SIL_ENDIAN_BIG)
+SIL_ENDIAN_LITTLE,true,bool,defined(SIL_ENDIAN_LITTLE)
 TA_NULL
 TA_ACT
@@ -48,9 +48,9 @@
 TMIN_CYCID,,signed
 TMIN_ALMID,,signed
-USE_TSKINICTXB,1,,defined(USE_TSKINICTXB)
-OMIT_INITIALIZE_INTERRUPT,1,,defined(OMIT_INITIALIZE_INTERRUPT)
-USE_INHINIB_TABLE,1,,defined(USE_INHINIB_TABLE)
-USE_INTINIB_TABLE,1,,defined(USE_INTINIB_TABLE)
-OMIT_INITIALIZE_EXCEPTION,1,,defined(OMIT_INITIALIZE_EXCEPTION)
+USE_TSKINICTXB,true,bool,defined(USE_TSKINICTXB)
+OMIT_INITIALIZE_INTERRUPT,true,bool,defined(OMIT_INITIALIZE_INTERRUPT)
+USE_INHINIB_TABLE,true,bool,defined(USE_INHINIB_TABLE)
+USE_INTINIB_TABLE,true,bool,defined(USE_INTINIB_TABLE)
+OMIT_INITIALIZE_EXCEPTION,true,bool,defined(OMIT_INITIALIZE_EXCEPTION)
 DEFAULT_ISTK,,,defined(DEFAULT_ISTK)
 TARGET_TSKATR,,,defined(TARGET_TSKATR),0
@@ -63,11 +63,11 @@
 CHECK_STKSZ_ALIGN,,,defined(CHECK_STKSZ_ALIGN),1
 CHECK_INTPTR_ALIGN,,,defined(CHECK_INTPTR_ALIGN),1
-CHECK_INTPTR_NONNULL,1,,defined(CHECK_INTPTR_NONNULL)
+CHECK_INTPTR_NONNULL,true,bool,defined(CHECK_INTPTR_NONNULL)
 CHECK_FUNC_ALIGN,,,defined(CHECK_FUNC_ALIGN),1
-CHECK_FUNC_NONNULL,1,,defined(CHECK_FUNC_NONNULL)
+CHECK_FUNC_NONNULL,true,bool,defined(CHECK_FUNC_NONNULL)
 CHECK_STACK_ALIGN,,,defined(CHECK_STACK_ALIGN),1
-CHECK_STACK_NONNULL,1,,defined(CHECK_STACK_NONNULL)
+CHECK_STACK_NONNULL,true,bool,defined(CHECK_STACK_NONNULL)
 CHECK_MPF_ALIGN,,,defined(CHECK_MPF_ALIGN),1
-CHECK_MPF_NONNULL,1,,defined(CHECK_MPF_NONNULL)
+CHECK_MPF_NONNULL,true,bool,defined(CHECK_MPF_NONNULL)
 sizeof_void_ptr,sizeof(void*)
 sizeof_uint_t,sizeof(uint_t)
@@ -76,7 +76,15 @@
 sizeof_ID,sizeof(ID)
 sizeof_FP,sizeof(FP)
+sizeof_INTNO,sizeof(INTNO)
 sizeof_INHNO,sizeof(INHNO)
-sizeof_INTNO,sizeof(INTNO)
 sizeof_EXCNO,sizeof(EXCNO)
+sizeof_TASK,sizeof(TASK)
+sizeof_TMEHDR,sizeof(TMEHDR)
+sizeof_ISR,sizeof(ISR)
+sizeof_INTHDR,sizeof(INTHDR)
+sizeof_EXCHDR,sizeof(EXCHDR)
+sizeof_INIRTN,sizeof(INIRTN)
+sizeof_TERRTN,sizeof(TERRTN)
+sizeof_NFYHDR,sizeof(NFYHDR)
 sizeof_TINIB,sizeof(TINIB)
 offsetof_TINIB_tskatr,"offsetof(TINIB,tskatr)"
Index: asp3_wo_tecs/trunk/kernel/mempfix.trb
===================================================================
--- asp3_wo_tecs/trunk/kernel/mempfix.trb	(revision 305)
+++ asp3_wo_tecs/trunk/kernel/mempfix.trb	(revision 306)
@@ -53,5 +53,5 @@
 #   ã®è²¬ä»»ãè² ããªãï¼
 # 
-#   $Id: mempfix.trb 588 2016-02-05 12:54:58Z ertl-hiro $
+#   $Id: mempfix.trb 672 2016-03-05 15:33:08Z ertl-hiro $
 # 
 
@@ -66,4 +66,8 @@
 
   def prepare(key, params)
+    # ãã©ã¡ã¼ã¿ãçç¥ãããæã®ããã©ã«ãå¤ã®è¨­å®
+    params[:mpf] ||= "NULL"
+    params[:mpfmb] ||= "NULL"
+
     # mpfatrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI2225ï¼½
     #ï¼TA_TPRIä»¥å¤ã®ããããã»ããããã¦ããå ´åï¼
@@ -72,11 +76,11 @@
     end
 
-    # blkcntã0ä»¥ä¸ã®å ´åï¼E_PARï¼ï¼»NGKI2229ï¼½
-    if params[:blkcnt] <= 0
+    # blkcntã0ã®å ´åï¼E_PARï¼ï¼»NGKI2229ï¼½
+    if params[:blkcnt] == 0
       error_illegal_id("E_PAR", params, :blkcnt, :mpfid)
     end
 
-    # blkszã0ä»¥ä¸ã®å ´åï¼E_PARï¼ï¼»NGKI2230ï¼½
-    if params[:blksz] <= 0
+    # blkszã0ã®å ´åï¼E_PARï¼ï¼»NGKI2230ï¼½
+    if params[:blksz] == 0
       error_illegal_id("E_PAR", params, :blksz, :mpfid)
     end
@@ -84,27 +88,27 @@
     # åºå®é·ã¡ã¢ãªãã¼ã«é å
     if params[:mpf] == "NULL"
-      $kernelCfgC.add("static MPF_T _kernel_mpf_#{params[:mpfid]}" \
+      mpfName = "_kernel_mpf_#{params[:mpfid]}"
+      $kernelCfgC.add("static MPF_T #{mpfName}" \
 				"[#{params[:blkcnt]} * COUNT_MPF_T(#{params[:blksz]})];")
+      params[:mpfinib_mpf] = mpfName
+    else
+      params[:mpfinib_mpf] = "(void *)(#{params[:mpf]})"
     end
 
     # mpfmbãNULLã§ãªãå ´åï¼E_NOSPTï¼ï¼»ASPS0166ï¼½
     if params[:mpfmb] != "NULL"
-      error_illegal_id("E_PAR", params, :mpfmb, :mpfid)
+      error_illegal_id("E_NOSPT", params, :mpfmb, :mpfid)
     end
 
     # åºå®é·ã¡ã¢ãªãã¼ã«ç®¡çé å
-    $kernelCfgC.add("static MPFMB _kernel_mpfmb_#{params[:mpfid]}" \
-												"[#{params[:blkcnt]}];")
+    mpfmbName = "_kernel_mpfmb_#{params[:mpfid]}"
+    $kernelCfgC.add("static MPFMB #{mpfmbName}[#{params[:blkcnt]}];")
+    params[:mpfinib_mpfmb] = mpfmbName
   end
 
   def generateInib(key, params)
-    if params[:mpf] == "NULL"
-      mpf = "_kernel_mpf_#{params[:mpfid]}"
-    else
-      mpf = "(void *)(#{params[:mpf]})"
-    end
     return("(#{params[:mpfatr]}), (#{params[:blkcnt]}), " \
-					"ROUND_MPF_T(#{params[:blksz]}), #{mpf}, " \
-					"_kernel_mpfmb_#{params[:mpfid]}")
+			"ROUND_MPF_T(#{params[:blksz]}), #{params[:mpfinib_mpf]}, " \
+			"#{params[:mpfinib_mpfmb]}")
   end
 end
Index: asp3_wo_tecs/trunk/kernel/mutex.trb
===================================================================
--- asp3_wo_tecs/trunk/kernel/mutex.trb	(revision 305)
+++ asp3_wo_tecs/trunk/kernel/mutex.trb	(revision 306)
@@ -53,5 +53,5 @@
 #   ã®è²¬ä»»ãè² ããªãï¼
 # 
-#   $Id: mutex.trb 588 2016-02-05 12:54:58Z ertl-hiro $
+#   $Id: mutex.trb 630 2016-02-14 11:30:17Z ertl-hiro $
 # 
 
@@ -78,6 +78,5 @@
       # ceilpriãæªæå®ã®å ´åã¯ã¨ã©ã¼ã¨ãã
       if params[:ceilpri].nil?
-        error_api(params, "ceilpri must be specified" \
-							" in #{params[:apiname]} of #{param[:mtxid]}")
+        error_api(params, "ceilpri must be specified in %apiname of %mtxid")
 
       # (TMIN_TPRI <= ceilpri && ceilpri <= TMAX_TPRI)ã§ãªãå ´åï¼E_PARï¼
@@ -91,6 +90,5 @@
       # ceilpriãæå®ããã¦ããå ´åã¯è­¦åã¡ãã»ã¼ã¸ãåºã
       if !params[:ceilpri].nil?
-        warning_api(params, "ceilpri `#{params[:ceilpri]}' is ignored" \
-								" in #{params[:apiname]} of #{params[:mtxid]}")
+        warning_api(params, "%%ceilpri is ignored in %apiname of %mtxid")
       end
       params[:ceilpri] = 0
Index: asp3_wo_tecs/trunk/kernel/pridataq.trb
===================================================================
--- asp3_wo_tecs/trunk/kernel/pridataq.trb	(revision 305)
+++ asp3_wo_tecs/trunk/kernel/pridataq.trb	(revision 306)
@@ -53,5 +53,5 @@
 #   ã®è²¬ä»»ãè² ããªãï¼
 # 
-#   $Id: pridataq.trb 588 2016-02-05 12:54:58Z ertl-hiro $
+#   $Id: pridataq.trb 668 2016-03-03 13:57:53Z ertl-hiro $
 # 
 
@@ -67,4 +67,7 @@
 
   def prepare(key, params)
+    # ãã©ã¡ã¼ã¿ãçç¥ãããæã®ããã©ã«ãå¤ã®è¨­å®
+    params[:pdqmb] ||= "NULL"
+
     # pdqatrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI1804ï¼½
     #ï¼TA_TPRIä»¥å¤ã®ããããã»ããããã¦ããå ´åï¼
@@ -81,5 +84,5 @@
     # pdqmbãNULLã§ãªãå ´åï¼E_NOSPTï¼ï¼»ASPS0142ï¼½
     if params[:pdqmb] != "NULL"
-      error_illegal_id("E_PAR", params, :pdqmb, :pdqid)
+      error_illegal_id("E_NOSPT", params, :pdqmb, :pdqid)
     end
 
@@ -87,17 +90,15 @@
 åº¦ãã¼ã¿ã­ã¥ã¼ç®¡çé å
     if params[:pdqcnt] > 0
-      $kernelCfgC.add("static PDQMB _kernel_pdqmb_#{params[:pdqid]}" \
-												"[#{params[:pdqcnt]}];")
+      pdqmbName = "_kernel_pdqmb_#{params[:pdqid]}"
+      $kernelCfgC.add("static PDQMB #{pdqmbName}[#{params[:pdqcnt]}];")
+      params[:pdqinib_pdqmb] = pdqmbName
+    else
+      params[:pdqinib_pdqmb] = "NULL"
     end
   end
 
   def generateInib(key, params)
-    if params[:pdqcnt] > 0
-      pdqmb = "_kernel_pdqmb_#{params[:pdqid]}"
-    else
-      pdqmb = "NULL"
-    end
     return("(#{params[:pdqatr]}), (#{params[:pdqcnt]}), " \
-									"(#{params[:maxdpri]}), #{pdqmb}")
+				"(#{params[:maxdpri]}), #{params[:pdqinib_pdqmb]}")
   end
 end
Index: asp3_wo_tecs/trunk/kernel/startup.c
===================================================================
--- asp3_wo_tecs/trunk/kernel/startup.c	(revision 305)
+++ asp3_wo_tecs/trunk/kernel/startup.c	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: startup.c 181 2014-06-14 16:45:07Z ertl-hiro $
+ *  $Id: startup.c 509 2016-01-12 06:06:14Z ertl-hiro $
  */
 
Index: asp3_wo_tecs/trunk/kernel/sys_manage.c
===================================================================
--- asp3_wo_tecs/trunk/kernel/sys_manage.c	(revision 305)
+++ asp3_wo_tecs/trunk/kernel/sys_manage.c	(revision 306)
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: sys_manage.c 469 2015-12-30 02:38:47Z ertl-hiro $
+ *  $Id: sys_manage.c 682 2016-03-11 13:52:39Z ertl-hiro $
  */
 
@@ -174,5 +174,5 @@
 /*
  *  ã¿ã¹ã¯ã®åªå
-é ä½ã®åè»¢
+é ä½ã®åè»¢ï¼»NGKI3548ï¼½
  */
 #ifdef TOPPERS_rot_rdq
@@ -185,10 +185,10 @@
 
 	LOG_ROT_RDQ_ENTER(tskpri);
-	CHECK_UNL();
+	CHECK_UNL();								/*ï¼»NGKI2684ï¼½*/
 	if (tskpri == TPRI_SELF && !sense_context()) {
-		pri = p_runtsk->bpriority;
+		pri = p_runtsk->bpriority;				/*ï¼»NGKI2689ï¼½*/
 	}
 	else {
-		CHECK_PAR(VALID_TPRI(tskpri));
+		CHECK_PAR(VALID_TPRI(tskpri));			/*ï¼»NGKI2685ï¼½*/
 		pri = INT_PRIORITY(tskpri);
 	}
@@ -217,5 +217,5 @@
  *  å®è¡ç¶æ
 ã®ã¿ã¹ã¯IDã®åç
-§
+§ï¼»NGKI3550ï¼½
  */
 #ifdef TOPPERS_get_tid
@@ -227,5 +227,5 @@
 
 	LOG_GET_TID_ENTER(p_tskid);
-	CHECK_UNL();
+	CHECK_UNL();								/*ï¼»NGKI2707ï¼½*/
 
 	lock_cpu();
@@ -243,5 +243,5 @@
 /*
  *  å®è¡ã§ããã¿ã¹ã¯ã®æ°ã®åç
-§
+§ï¼»NGKI3623ï¼½
  */
 #ifdef TOPPERS_get_lod
@@ -255,10 +255,10 @@
 
 	LOG_GET_LOD_ENTER(p_tskid, p_load);
-	CHECK_TSKCTX_UNL();
+	CHECK_TSKCTX_UNL();							/*ï¼»NGKI3624ï¼½ï¼»NGKI3625ï¼½*/
 	if (tskpri == TPRI_SELF) {
-		pri = p_runtsk->bpriority;
+		pri = p_runtsk->bpriority;				/*ï¼»NGKI3631ï¼½*/
 	}
 	else {
-		CHECK_PAR(VALID_TPRI(tskpri));
+		CHECK_PAR(VALID_TPRI(tskpri));			/*ï¼»NGKI3626ï¼½*/
 		pri = INT_PRIORITY(tskpri);
 	}
@@ -285,5 +285,5 @@
  *  æå®ããåªå
 é ä½ã®ã¿ã¹ã¯IDã®åç
-§
+§ï¼»NGKI3641ï¼½
  */
 #ifdef TOPPERS_get_nth
@@ -298,10 +298,10 @@
 
 	LOG_GET_NTH_ENTER(p_tskid, nth, p_tskid);
-	CHECK_TSKCTX_UNL();
+	CHECK_TSKCTX_UNL();							/*ï¼»NGKI3642ï¼½ï¼»NGKI3643ï¼½*/
 	if (tskpri == TPRI_SELF) {
-		pri = p_runtsk->bpriority;
+		pri = p_runtsk->bpriority;				/*ï¼»NGKI3650ï¼½*/
 	}
 	else {
-		CHECK_PAR(VALID_TPRI(tskpri));
+		CHECK_PAR(VALID_TPRI(tskpri));			/*ï¼»NGKI3644ï¼½*/
 		pri = INT_PRIORITY(tskpri);
 	}
@@ -331,5 +331,5 @@
 /*
  *  CPUã­ãã¯ç¶æ
-ã¸ã®é·ç§»
+ã¸ã®é·ç§»ï¼»NGKI3538ï¼½
  */
 #ifdef TOPPERS_loc_cpu
@@ -342,6 +342,6 @@
 	LOG_LOC_CPU_ENTER();
 
-	if (!sense_lock()) {
-		lock_cpu();
+	if (!sense_lock()) {						/*ï¼»NGKI2731ï¼½*/
+		lock_cpu();								/*ï¼»NGKI2730ï¼½*/
 	}
 	ercd = E_OK;
@@ -355,5 +355,5 @@
 /*
  *  CPUã­ãã¯ç¶æ
-ã®è§£é¤
+ã®è§£é¤ï¼»NGKI3539ï¼½
  *
  *  CPUã­ãã¯ä¸­ã¯ï¼ãã£ã¹ããããå¿
@@ -373,6 +373,6 @@
 	LOG_UNL_CPU_ENTER();
 
-	if (sense_lock()) {
-		unlock_cpu();
+	if (sense_lock()) {							/*ï¼»NGKI2738ï¼½*/
+		unlock_cpu();							/*ï¼»NGKI2737ï¼½*/
 	}
 	ercd = E_OK;
@@ -385,5 +385,5 @@
 
 /*
- *  ãã£ã¹ãããã®ç¦æ­¢
+ *  ãã£ã¹ãããã®ç¦æ­¢ï¼»NGKI2740ï¼½
  */
 #ifdef TOPPERS_dis_dsp
@@ -395,5 +395,5 @@
 
 	LOG_DIS_DSP_ENTER();
-	CHECK_TSKCTX_UNL();
+	CHECK_TSKCTX_UNL();							/*ï¼»NGKI2741ï¼½ï¼»NGKI2742ï¼½*/
 
 	lock_cpu();
@@ -411,5 +411,5 @@
 
 /*
- *  ãã£ã¹ãããã®è¨±å¯
+ *  ãã£ã¹ãããã®è¨±å¯ï¼»NGKI2746ï¼½
  */
 #ifdef TOPPERS_ena_dsp
@@ -421,5 +421,5 @@
 
 	LOG_ENA_DSP_ENTER();
-	CHECK_TSKCTX_UNL();
+	CHECK_TSKCTX_UNL();							/*ï¼»NGKI2747ï¼½ï¼»NGKI2748ï¼½*/
 
 	lock_cpu();
@@ -454,5 +454,5 @@
 /*
  *  ã³ã³ãã­ã¹ãã®åç
-§
+§ï¼»NGKI2752ï¼½
  */
 #ifdef TOPPERS_sns_ctx
@@ -474,5 +474,5 @@
  *  CPUã­ãã¯ç¶æ
 ã®åç
-§
+§ï¼»NGKI2754ï¼½
  */
 #ifdef TOPPERS_sns_loc
@@ -494,5 +494,5 @@
  *  ãã£ã¹ãããç¦æ­¢ç¶æ
 ã®åç
-§
+§ï¼»NGKI2756ï¼½
  */
 #ifdef TOPPERS_sns_dsp
@@ -514,5 +514,5 @@
  *  ãã£ã¹ãããä¿çç¶æ
 ã®åç
-§
+§ï¼»NGKI2758ï¼½
  */
 #ifdef TOPPERS_sns_dpn
@@ -534,5 +534,5 @@
  *  ã«ã¼ãã«éåä½ç¶æ
 ã®åç
-§
+§ï¼»NGKI2760ï¼½
  */
 #ifdef TOPPERS_sns_ker
Index: asp3_wo_tecs/trunk/kernel/task.trb
===================================================================
--- asp3_wo_tecs/trunk/kernel/task.trb	(revision 305)
+++ asp3_wo_tecs/trunk/kernel/task.trb	(revision 306)
@@ -53,5 +53,5 @@
 #   ã®è²¬ä»»ãè² ããªãï¼
 # 
-#   $Id: task.trb 596 2016-02-06 17:08:56Z ertl-hiro $
+#   $Id: task.trb 668 2016-03-03 13:57:53Z ertl-hiro $
 # 
 
@@ -66,4 +66,7 @@
 
   def prepare(key, params)
+    # ãã©ã¡ã¼ã¿ãçç¥ãããæã®ããã©ã«ãå¤ã®è¨­å®
+    params[:stk] ||= "NULL"
+
     # tskatrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI1028ï¼½
     #ï¼TA_ACTï¼TA_NOACTQUEï¼TARGET_TSKATRä»¥å¤ã®ããããã»ããããã¦ããå ´åï¼
@@ -85,7 +88,8 @@
     # ã¹ã¿ãã¯é åã®è¨­å®ï¼»NGKI1041ï¼½
     if params[:stk] == "NULL"
-      params[:tinib_stksz] = AllocStack("_kernel_stack_#{params[:tskid]}", \
-															params[:stksz])
-      params[:tinib_stk] = "_kernel_stack_#{params[:tskid]}"
+      # ã¹ã¿ãã¯é åã®çæï¼»NGKI1049ï¼½
+      stkName = "_kernel_stack_#{params[:tskid]}"
+      params[:tinib_stksz] = AllocStack(stkName, params[:stksz])
+      params[:tinib_stk] = stkName
     else
       # stkszãã¹ã¿ãã¯é åã®ãµã¤ãºã¨ãã¦æ­£ãããªãå ´åï¼»NGKI1056ï¼½
@@ -100,5 +104,5 @@
 
   def generateInib(key, params)
-    if $USE_TSKINICTXB == 1
+    if $USE_TSKINICTXB
       tskinictxb = GenerateTskinictxb(key, params)
     else
Index: asp3_wo_tecs/trunk/kernel/time_event.c
===================================================================
--- asp3_wo_tecs/trunk/kernel/time_event.c	(revision 305)
+++ asp3_wo_tecs/trunk/kernel/time_event.c	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: time_event.c 451 2015-08-14 15:29:07Z ertl-hiro $
+ *  $Id: time_event.c 532 2016-01-15 14:48:04Z ertl-hiro $
  */
 
Index: asp3_wo_tecs/trunk/sample/Makefile
===================================================================
--- asp3_wo_tecs/trunk/sample/Makefile	(revision 305)
+++ asp3_wo_tecs/trunk/sample/Makefile	(revision 306)
@@ -208,5 +208,5 @@
 CFG_OBJS := $(CFG_ASMOBJS) $(CFG_COBJS)
 CFG2_OUT_SRCS := kernel_cfg.h kernel_cfg.c $(CFG2_OUT_SRCS)
-CFG_CFLAGS := $(CFG_CFLAGS)
+CFG_CFLAGS := -DTOPPERS_CB_TYPE_ONLY $(CFG_CFLAGS)
 
 #
@@ -272,12 +272,12 @@
 ALL_OBJS = $(START_OBJS) $(APPL_OBJS) $(SYSSVC_OBJS) $(CFG_OBJS) \
 											$(END_OBJS) $(HIDDEN_OBJS)
+ALL_LIBS = -lkernel $(LIBS)
 ifdef KERNEL_LIB
-	ALL_LIBS = -lkernel $(LIBS)
 	LIBS_DEP = $(KERNEL_LIB)/libkernel.a $(filter %.a,$(LIBS))
 	OBJ_LDFLAGS := $(OBJ_LDFLAGS) -L$(KERNEL_LIB)
 	REALCLEAN_FILES := libkernel.a $(REALCLEAN_FILES)
 else
-	ALL_LIBS = libkernel.a $(LIBS)
 	LIBS_DEP = libkernel.a $(filter %.a,$(LIBS))
+	OBJ_LDFLAGS := $(OBJ_LDFLAGS) -L.
 endif
 
Index: asp3_wo_tecs/trunk/sample/sample1.c
===================================================================
--- asp3_wo_tecs/trunk/sample/sample1.c	(revision 305)
+++ asp3_wo_tecs/trunk/sample/sample1.c	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2004-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2004-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: sample1.c 346 2015-07-18 02:12:08Z ertl-hiro $
+ *  $Id: sample1.c 711 2016-03-29 14:45:54Z ertl-hiro $
  */
 
@@ -237,4 +237,19 @@
 
 /*
+ *  å²è¾¼ã¿ãã³ãã©
+ */
+#ifdef INTNO1
+
+void intno1_isr(intptr_t exinf)
+{
+	intno1_clear();
+	SVC_PERROR(rot_rdq(HIGH_PRIORITY));
+	SVC_PERROR(rot_rdq(MID_PRIORITY));
+	SVC_PERROR(rot_rdq(LOW_PRIORITY));
+}
+
+#endif /* INTNO1 */
+
+/*
  *  CPUä¾å¤ãã³ãã©
  */
Index: asp3_wo_tecs/trunk/sample/sample1.cfg
===================================================================
--- asp3_wo_tecs/trunk/sample/sample1.cfg	(revision 305)
+++ asp3_wo_tecs/trunk/sample/sample1.cfg	(revision 306)
@@ -17,4 +17,8 @@
 CRE_CYC(CYCHDR1, { TA_NULL, { TNFY_HANDLER, 0, cyclic_handler }, 2000000, 0 });
 CRE_ALM(ALMHDR1, { TA_NULL, { TNFY_HANDLER, 0, alarm_handler }});
+#ifdef INTNO1
+CFG_INT(INTNO1, { INTNO1_INTATR, INTNO1_INTPRI });
+CRE_ISR(INTNO1_ISR, { TA_NULL, 0, INTNO1, intno1_isr, 1 });
+#endif /* INTNO1 */
 #ifdef CPUEXC1
 DEF_EXC(CPUEXC1, { TA_NULL, cpuexc_handler });
Index: asp3_wo_tecs/trunk/sample/sample1.h
===================================================================
--- asp3_wo_tecs/trunk/sample/sample1.h	(revision 305)
+++ asp3_wo_tecs/trunk/sample/sample1.h	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2004-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2004-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  *
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  *
- *  $Id: sample1.h 286 2014-11-29 07:51:11Z ertl-hiro $
+ *  $Id: sample1.h 705 2016-03-29 14:16:41Z ertl-hiro $
  */
 
@@ -108,4 +108,7 @@
 extern void	main_task(intptr_t exinf);
 extern void exc_task(intptr_t exinf);
+#ifdef INTNO1
+extern void intno1_isr(intptr_t exinf);
+#endif /* INTNO1 */
 #ifdef CPUEXC1
 extern void	cpuexc_handler(void *p_excinf);
Index: asp3_wo_tecs/trunk/syssvc/histogram.h
===================================================================
--- asp3_wo_tecs/trunk/syssvc/histogram.h	(revision 305)
+++ asp3_wo_tecs/trunk/syssvc/histogram.h	(revision 306)
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: histogram.h 506 2016-01-12 01:46:49Z ertl-hiro $
+ *  $Id: histogram.h 509 2016-01-12 06:06:14Z ertl-hiro $
  */
 
Index: asp3_wo_tecs/trunk/syssvc/serial.h
===================================================================
--- asp3_wo_tecs/trunk/syssvc/serial.h	(revision 305)
+++ asp3_wo_tecs/trunk/syssvc/serial.h	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2004-2011 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2004-2015 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
Index: asp3_wo_tecs/trunk/syssvc/test_svc.h
===================================================================
--- asp3_wo_tecs/trunk/syssvc/test_svc.h	(revision 305)
+++ asp3_wo_tecs/trunk/syssvc/test_svc.h	(revision 306)
@@ -66,8 +66,4 @@
 
 #include <kernel.h>
-
-/*
- *  ã¿ã¼ã²ããä¾å­ã®å®ç¾©
- */
 #include "target_test.h"
 
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/Makefile.target
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/Makefile.target	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/Makefile.target	(revision 306)
@@ -2,5 +2,5 @@
 #		Makefileã®ã¿ã¼ã²ããä¾å­é¨ï¼CT11MPcoreç¨ï¼
 #
-#  $Id: Makefile.target 504 2016-01-12 01:19:55Z ertl-hiro $
+#  $Id: Makefile.target 572 2016-02-01 14:40:09Z ertl-hiro $
 # 
 
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/ct11mpcore.ld
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/ct11mpcore.ld	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/ct11mpcore.ld	(revision 306)
@@ -1,4 +1,4 @@
 /*
- *  $Id: ct11mpcore.ld 362 2015-07-26 11:29:15Z ertl-hiro $
+ *  $Id: ct11mpcore.ld 679 2016-03-07 07:14:20Z ertl-hiro $
  */
 
@@ -13,5 +13,5 @@
 	.text ALIGN(4) : {
 		__start_text = .;
-		*(vector)
+		*(.vector)
 		*(.text)
 		*(.glue_7t)
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_check.trb
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_check.trb	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_check.trb	(revision 306)
@@ -1,8 +1,11 @@
-# 
+# -*- coding: utf-8 -*-
+#
 #		ãã¹3ã®çæã¹ã¯ãªããã®ã¿ã¼ã²ããä¾å­é¨ï¼CT11MPCoreç¨ï¼
-# 
+#
+#  $Id: target_check.trb 745 2016-04-10 17:00:12Z ertl-hiro $
+#
 
-# 
+#
 #  çæã¹ã¯ãªããã®ã³ã¢ä¾å­é¨ï¼ãããä¾å­é¨ã¯é£ã°ãï¼
-# 
+#
 IncludeTrb("core_check.trb")
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel.trb
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel.trb	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel.trb	(revision 306)
@@ -1,16 +1,17 @@
-# 
+# -*- coding: utf-8 -*-
+#
 #		ãã¹2ã®çæã¹ã¯ãªããã®ã¿ã¼ã²ããä¾å­é¨ï¼CT11MPCoreç¨ï¼
-# 
-#  $Id: target_kernel.trb 572 2016-02-01 14:40:09Z ertl-hiro $
+#
+#  $Id: target_kernel.trb 745 2016-04-10 17:00:12Z ertl-hiro $
 #
 
-# 
+#
 #  ä½¿ç¨ã§ããå²è¾¼ã¿çªå·ã¨ããã«å¯¾å¿ããå²è¾¼ã¿ãã³ãã©çªå·
-# 
+#
 $INTNO_VALID = [ *(0..47) ]
 $INHNO_VALID = $INTNO_VALID
 
-# 
+#
 #  çæã¹ã¯ãªããã®ã³ã¢ä¾å­é¨ï¼ãããä¾å­é¨ã¯é£ã°ãï¼
-# 
+#
 IncludeTrb("core_kernel.trb")
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel_impl.c
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel_impl.c	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel_impl.c	(revision 306)
@@ -51,5 +51,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_kernel_impl.c 365 2015-07-26 13:18:44Z ertl-hiro $
+ *  $Id: target_kernel_impl.c 509 2016-01-12 06:06:14Z ertl-hiro $
  */
 
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel_impl.h
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel_impl.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_kernel_impl.h	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2006-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2006-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_kernel_impl.h 397 2015-08-02 01:44:43Z ertl-hiro $
+ *  $Id: target_kernel_impl.h 704 2016-03-29 12:27:19Z ertl-hiro $
  */
 
@@ -66,4 +66,7 @@
 #define TOPPERS_TARGET_KERNEL_IMPL_H
 
+/*
+ *  ã¿ã¼ã²ããã®ãã¼ãã¦ã§ã¢è³æºã®å®ç¾©
+ */
 #include "ct11mpcore.h"
 
@@ -103,6 +106,6 @@
 ã¡ã®ããã®å®ç¾©ï¼æ¬æ¥ã¯SILã®ã¿ã¼ã²ããä¾å­é¨ï¼
  */
-#define SIL_DLY_TIM1	20
-#define SIL_DLY_TIM2	3
+#define SIL_DLY_TIM1	26
+#define SIL_DLY_TIM2	2
 
 /*
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_stddef.h
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_stddef.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_stddef.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2007-2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2007-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_stddef.h 362 2015-07-26 11:29:15Z ertl-hiro $
+ *  $Id: target_stddef.h 509 2016-01-12 06:06:14Z ertl-hiro $
  */
 
Index: asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_syssvc.h
===================================================================
--- asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_syssvc.h	(revision 305)
+++ asp3_wo_tecs/trunk/target/ct11mpcore_gcc/target_syssvc.h	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: target_syssvc.h 362 2015-07-26 11:29:15Z ertl-hiro $
+ *  $Id: target_syssvc.h 698 2016-03-26 08:48:12Z ertl-hiro $
  */
 
